spyder (4.2.1+dfsg1-3+deb11u1) bullseye; urgency=medium

  * Fix duplicate-code-on-save bug (closes: #989660)

 -- Julian Gilbey <jdg@debian.org>  Mon, 09 Jan 2023 19:58:36 +0000

spyder (4.2.1+dfsg1-3) unstable; urgency=medium

  * Missed one dependency (python3-setuptools) in the last upload, and
    move some Suggests into Recommends.

 -- Julian Gilbey <jdg@debian.org>  Sun, 21 Feb 2021 09:28:17 +0000

spyder (4.2.1+dfsg1-2) unstable; urgency=medium

  * Fix Depends field for python3-spyder, add several packages to
    Suggests, and move ipython3 from spyder to python3-spyder.
    Closes: #982983

 -- Julian Gilbey <jdg@debian.org>  Sun, 21 Feb 2021 07:30:30 +0000

spyder (4.2.1+dfsg1-1) unstable; urgency=medium

  [ Julian Gilbey ]
  * New upstream version: lots of dependency changes.
    Closes: #976966, #976735, #946451, #946035
  * Bump Standards-Version to 4.5.1.

  [ Drew Parsons ]
  * debian/copyright: update Files-Excluded for spyder 4
    (help utils now in plugins)
  * New upstream release.

 -- Julian Gilbey <jdg@debian.org>  Fri, 05 Feb 2021 07:03:54 +0000

spyder (3.3.6+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * python3-spyder Depends: python3-spyder-kernels (<< 1.5.0~really1.0~)
    (keep spyder-3 and spyder-4 support separate). Also Build-Depends.

 -- Drew Parsons <dparsons@debian.org>  Tue, 03 Dec 2019 10:11:15 +0800

spyder (3.3.6+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.4.1
  * drop python-spyder (remove Python2). Closes: #938550, #940783.
    - main spyder package is now Python3
    - keep /usr/bin/spyder3 as main binary, link spyder to it
    - spyder3 package is a transitional package depending on spyder
  * drop older python3-spyderlib transitional package. Closes: #940784.

 -- Drew Parsons <dparsons@debian.org>  Tue, 15 Oct 2019 10:25:18 +0800

spyder (3.3.6+dfsg1-2) unstable; urgency=medium

  * Fixed by upstream in a previous release (Closes: #932987)
  * d/copyright: MIT -> Expat (the real variant used)
  * d/control: removed pylint3 build depends.
  * d/patches: Added 0004-Removed-pylint-dependency.patch

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 01 Sep 2019 14:44:51 +0200

spyder (3.3.6+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. Closes: #932110.

 -- Drew Parsons <dparsons@debian.org>  Sun, 21 Jul 2019 08:46:06 +0800

spyder (3.3.5+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. Closes: #926635.
  * Standards-Version: 4.4.0
  * remove /usr/share/doc/spyder/html links (spyder-doc is no longer
    provided). Closes: #924217.
  * include README.md in /usr/share/doc/spyder3

 -- Drew Parsons <dparsons@debian.org>  Tue, 30 Apr 2019 15:27:03 +0800

spyder (3.3.3+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * update to Build-Depends: debhelper-compat (= 12),
    remove debian/compat
  * debian/copyright: clarify main licence as MIT

 -- Drew Parsons <dparsons@debian.org>  Sun, 24 Feb 2019 11:36:45 +0800

spyder (3.3.2+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * set debian/watch to upstream github repo rather than pypi
  * python3-spyder Depends: python3-keyring (required for python3 but
    not automatically detected by dh_python3).
    Also Build-Depends: python3-keyring.
    Closes: #919000.
  * Standards-Version: 4.3.0
  * debhelper compatibility level 12

 -- Drew Parsons <dparsons@debian.org>  Tue, 15 Jan 2019 12:23:41 +0100

spyder (3.3.2+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.3.2+dfsg1. Closes: #900246, #893615.
    - update debian/copyright
    - no longer provides doc subdir:
      * drop spyder-doc. Closes: #911629.
      * drop sphinx build support
      * setup.py --no-doc no longer supported
      * use rst2man to generate man page from debian/manpage.rst
        (replaces debian/patches/Add-manpage-for-Spyder.patch )
  * Build-Depends: python{,3}-spyder-kernels
  * Standards-Version: 4.2.1
  * debian/control: remove ancient-python-version-fields
    X-Python-Version, X-Python3-Version

 -- Drew Parsons <dparsons@debian.org>  Tue, 04 Dec 2018 19:36:40 +0800

spyder (3.2.6+dfsg1-2) unstable; urgency=medium

  * New patch Remove-pyopengl-from-install-requires.patch (Closes: #891617)
  * New patch Remove-pyqt5-from-install-requires.patch (Closes: #891618)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sun, 04 Mar 2018 16:49:30 +0000

spyder (3.2.6+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.2.6+dfsg1
  * Refresh the patch queue
  * Update the copyright years
  * Add new dependency on cloudpickle
  * Drop the get-orig-source target
  * Move extend-diff-ignore to d/s/options
  * Point the VCS URIs to salsa.debian.org
  * Update the location of the documentation
  * Remove all instances of priority extra
  * Bump the debhelper version to 11
  * Bump the standards version to 4.1.3

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 21 Feb 2018 09:36:12 +0000

spyder (3.2.4+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.2.4+dfsg1
  * Refresh the patch queue
  * Fix and simplify the watch file
    - Fix the dversionmangle regex
    - Use the PACKAGE placeholder

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 31 Oct 2017 11:22:14 +0000

spyder (3.2.3+dfsg1-2) unstable; urgency=medium

  * Restore patch Always-use-setuptools.patch (Closes: #878056)
  * Ensure install of setuptools gui_scripts
  * Bump the standards version to 4.1.1

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 12 Oct 2017 10:49:46 +0100

spyder (3.2.3+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.2.3+dfsg1
  * Update the patch queue
    - Rename 0001-fix-spyderlib-path.patch to more explicit
      Customize-paths-for-Debian.patch
    - Drop Always-use-setuptools.patch, no longer required
    - Drop Fixup-rope-dependency.patch, no longer required
  * Fixup the Source URI
  * Update copyright information
    - Update copyright authors and dates
    - Remove unused paragraphs
    - Add myself to copyright
  * Fixup the Vcs-Browser URI
  * Update the build dependencies
    - Drop superfluous versioned dependencies for chardet, qtawesome and
      qtconsole
    - Add new versioned dependencies for jedi and rope (Python 2)
  * Mark transitional packages priority extra
  * Mark spyder-common and spyder-doc multiarch foreign
  * Clean documentation artefacts with debhelper
  * Install spyder-common files using debhelper
  * Install spyder{,3} files with debhelper
  * Add recommended get-orig-source target
  * Bump the standards version to 4.1.0

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Fri, 22 Sep 2017 14:19:41 +0100

spyder (3.1.4+dfsg1-1) unstable; urgency=medium

  * Upgrade watch file to version 4
  * Bump standards version to 4.0.0, no changes required
  * Switch source package priority to optional
  * Normalize the Vcs-Browser URI
  * Normalize the package descriptions
  * Update the gbp configuration
  * Release to unstable

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 20 Jul 2017 09:15:55 +0100

spyder (3.1.4+dfsg1-1~exp2) experimental; urgency=medium

  * Cherry-pick upstream commit providing the manpage
    - New patch Add-manpage-for-Spyder.patch
  * Build and install the upstream manpage
    - Update the clean and install rules
    - Clear the old manpage setup
    Thanks to Stuart Prescott for reporting (Closes: #822296)
  * Remove outdated todo file

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 24 May 2017 09:54:41 +0100

spyder (3.1.4+dfsg1-1~exp1) experimental; urgency=medium

  [ Ghislain Antony Vaillant ]
  * New upstream version 3.1.4+dfsg1
  * Rebase the patch queue
    - Drop Fix-autocompletion-with-Jedi-0.10.patch, fixed upstream
    - Drop More-robust-username-query.patch, fixed upstream
  * Let dh-python populate the spyder dependencies
    - Upstream added the necessary setuptools metadata
    - Build depends on the corresponding packages
    - Drop manual listing of the install dependencies
    - New patch Always-use-setuptools.patch, ensure setuptools is used
      for all builds
    - New patch Fixup-rope-dependency.patch, allow Python 3 builds with a
      recent version of rope instead of rope_py3k
  * Adjust the list of optional dependencies
    - Following the setuptools metadata
    - Add corresponding packages to Suggests
    - Drop gitk and tortoisehg from Suggests

  [ Picca Frédéric-Emmanuel ]
  * Target experimental

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 16 May 2017 18:03:58 +0100

spyder (3.1.3+dfsg1-3) unstable; urgency=medium

  * Cherry-pick upstream fix for overreliance on the USER envvar.
    New patch More-robust-username-query.patch
    Thanks to Chris Lamb for reporting (Closes: #859080)
  * Release to unstable

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 04 Apr 2017 12:05:55 +0100

spyder (3.1.3+dfsg1-2) experimental; urgency=medium

  * Cherry-pick upstream fix for broken autocompletion.
    Thanks to bcolsen for fixing the issue upstream (Closes: #855873)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 16 Mar 2017 09:40:32 +0000

spyder (3.1.3+dfsg1-1) experimental; urgency=medium

  * New upstream version 3.1.3+dfsg1
  * Refresh the patch queue
  * Upload to experimental

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 21 Feb 2017 12:16:10 +0000

spyder (3.1.2+dfsg1-1) unstable; urgency=medium

  [ Ghislain Antony Vaillant ]
  * New upstream version 3.1.1+dfsg1
  * Upgrade packaging to debhelper 10
  * d/control
    - Added myself to Uploaders
    - Added Depends python[3]-chardet, python[3]-numpydoc,
                    python[3]-qtawesome >= 0.4.1
    - Bump minimum Python 3 version to 3.3
    - Fixed reference to nonexistent package.
      Thanks to Ben Finney for reporting (Closes: #849616)
    - Use sphinxdoc:Built-Using substvar
  * d/copyright
    - Updated for 3.1.1 version
  * d/rules
    - Update build override for the documentation.
      Following https://wiki.debian.org/Python/LibraryStyleGuide
    - Do not install extra license files

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 3.1.2+dfsg1
  * d/control
    - Moved back python[3]-jedi from Suggests to Depends

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 24 Jan 2017 22:02:52 +0100

spyder (3.0.2+dfsg1-2) unstable; urgency=medium

  * move jedi and rope to Suggests

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 07 Dec 2016 09:35:59 +0100

spyder (3.0.2+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.0.2+dfsg1
  * Move the locale data into the spyder-common package

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 30 Oct 2016 19:22:44 +0100

spyder (3.0.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.0.1+dfsg1

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 30 Oct 2016 19:22:43 +0100

spyder (3.0.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream version 3.0.0+dfsg1
  * Upstream renamed module spyderlib into spyder
  * d/control
    - New binary packages: python-spyder, python3-spyder, spyder-doc
    - python-spyderlib, python3-spyderlib, python-spyder-doc are now
      transitional packages.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 25 Sep 2016 13:21:06 +0200

spyder (3.0.0~b5+dfsg1-1~exp1) experimental; urgency=medium

  * Imported Upstream version 3.0.0~b5+dfsg1
  * debian/control
    - Added Depends: python-pep8, python3-pep8

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 23 Aug 2016 22:24:06 +0200

spyder (3.0.0~b4+dfsg1-1~exp1) experimental; urgency=medium

  * Imported Upstream version 3.0.0~b4+dfsg1
    (Closes: #784613, #797069, #826042, #811339)
  * debian/watch
    - Use the Debian pypi redirector
  * debian/copyright
    - updated Files-Excluded
  * debian/control
    - update the Vcs-X fileds
    - Remove Alexandre Fayolle and Ludovic Aubry from Uploaders
      thanks for their work. (Closes: #833330)
    - Added Depends: python-nbconvert, python-qtawesome, python-qtconsole,
      python-qtpy, python-pickleshare, python-pyflakes, python-pygments,
      python-zmq,
      python3-nbconvert, python3-qtawesome, python3-qtconsole,
      python3-qtpy, python3-pickleshare, python3-pyflakes, python3-pygments,
      python3-zmq

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 21 Aug 2016 11:52:26 +0200

spyder (2.3.8+dfsg1-1) unstable; urgency=medium

  * Imported Upstream version 2.3.8+dfsg1 (Closes: #802931)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 29 Nov 2015 09:13:02 +0100

spyder (2.3.7+dfsg1-1) unstable; urgency=medium

  * Imported Upstream version 2.3.7+dfsg1
  * debian/control
    - Add python3-pyqt4 and python3-sip (Closes: #803631)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 01 Nov 2015 12:03:40 +0100

spyder (2.3.6+dfsg1-1) unstable; urgency=medium

  * Imported Upstream version 2.3.6+dfsg1

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 27 Aug 2015 11:34:35 +0200

spyder (2.3.5.2+dfsg1-1) unstable; urgency=medium

  * Imported Upstream version 2.3.5.2+dfsg1
  * debian/control
    - Add python-bs4 and python3-bs4 to Recommends
  * debian/copyright
    - updated for 2.3.5.2+dfsg1 version

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 27 Jun 2015 09:51:49 +0200

spyder (2.3.4+dfsg1-1) unstable; urgency=medium

  * Uploaded to unstable

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 7 Jun 2015 09:12:38 +0100

spyder (2.3.4+dfsg1-1~exp1) experimental; urgency=medium

  * Imported Upstream version 2.3.4+dfsg1
  * Updated the copyright file

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 28 Mar 2015 09:12:38 +0100

spyder (2.3.3+dfsg-1~exp1) experimental; urgency=medium

  [Ghislain Antony Vaillant]
  * New upstream release.

  [Picca Frédéric-Emmanuel]
  * Upstream moved to github (watch, control and copyright file updated)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 26 Feb 2015 13:31:59 +0000

spyder (2.3.2+dfsg-1) experimental; urgency=medium

  * Imported Upstream version 2.3.2+dfsg

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 05 Dec 2014 19:07:17 +0100

spyder (2.3.1+dfsg-1) unstable; urgency=medium

  * Team upload

  [Ghislain Antony Vaillant]
  * New upstream release. (Closes: #765963)
  * Bump Standards-Version to 3.9.6 (no changes required).
  * d/control: fix pedantic lintian warning regarding capitalization in
    packages' description.

  [Picca Frédéric-Emmanuel]
  * Update the homepage now that upstream moved to bitbucket.
  * debian/copyright
    - updated for 2.3.1 version
  * debian/control
    + Recommends: python-pandas and python3-pandas

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sun, 19 Oct 2014 11:42:57 +0100

spyder (2.3.0+dfsg-4) unstable; urgency=medium

  * fix the upgrade of python-spyderlib-doc (LP: #1357951, #1358055)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 30 Aug 2014 21:03:01 +0200

spyder (2.3.0+dfsg-3) unstable; urgency=medium

  * fix Breakes -> Breaks (Closes: #756803)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 01 Aug 2014 21:24:46 +0200

spyder (2.3.0+dfsg-2) unstable; urgency=low

  * move the pixmaps from the python-spyderlib to the spyder packages.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 22 Jul 2014 10:09:51 +0200

spyder (2.3.0+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 2.3.0+dfsg

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 18 Jul 2014 11:15:00 +0200

spyder (2.3.0~rc+dfsg-1~experimental2) experimental; urgency=low

  * Add spyder-common binary package for all the python2,3 common files
  * debian/path
    - 0001-fix-documentation-installation.patch (deleted)
    + 0001-fix-spyderlib-path.patch (new)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 29 May 2014 09:06:26 +0200

spyder (2.3.0~rc+dfsg-1~experimental1) experimental; urgency=low

  * Imported Upstream version 2.3.0~rc+dfsg
  * Add python-spyderlib-doc, spyder3 and python3-spyderlib binary packages
  * Bump Standards-Version to 3.9.5 (no changes required)
  * Use compat level 9
  * Updated URLS since upstream code moved from google code to bitbucket
  * Recommends python-jedi and pyton3-jedi to allow jedi plugging

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 29 May 2014 09:05:26 +0200

spyder (2.2.5+dfsg-1) unstable; urgency=low

  * fix the copyright file with more upstream information
  * Imported Upstream version 2.2.5+dfsg

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 19 Oct 2013 20:28:21 +0200

spyder (2.2.4+dfsg-1) unstable; urgency=low

  * Imported Upstream version 2.2.4+dfsg
  * relax ipython dependency now that spyder support 0.13 and 1.0

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 06 Sep 2013 21:24:11 +0200

spyder (2.2.3+dfsg-1) unstable; urgency=low

  * Imported Upstream version 2.2.3+dfsg
  * debian/copyright updated

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 21 Aug 2013 15:17:46 +0200

spyder (2.2.2+dfsg-1) unstable; urgency=low

  * Imported Upstream version 2.2.2+dfsg

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 19 Aug 2013 21:12:20 +0200

spyder (2.2.1+dfsg-1) unstable; urgency=low

  * Imported Upstream version 2.2.1+dfsg

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 11 Jul 2013 22:14:17 +0200

spyder (2.2.0+dfsg-1) unstable; urgency=low

  * Imported Upstream version 2.2.0+dfsg
  * Depends on ipython-qtconsole (< 1.0)
  * Removed the obsolte DM-Upload-Allowed

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 08 May 2013 21:12:32 +0200

spyder (2.2.0~rc+dfsg-1) experimental; urgency=low

  * Imported Upstream version 2.2.0~rc+dfsg
  * Suggests: tortoisehg and gitk (Closes: #704064)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 27 Mar 2013 16:25:27 +0100

spyder (2.2.0~beta4+dfsg-1) experimental; urgency=low

  * Imported Upstream version 2.2.0~beta4+dfsg
  * remove the new added jquery.js library
  * debian/patches
    - 0001-fix-documentation-installation.patch (refreshed)
      configure spyder to use jquery from the system.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 13 Mar 2013 22:11:13 +0100

spyder (2.2.0~beta3+dfsg-1) experimental; urgency=low

  * Imported Upstream version 2.2.0~beta3+dfsg
  * debian /patches
    - 0002-feature-forwarded-add-icon-to-desktop-file.patch (deleted)
      this patch was integrated by the upstream.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 27 Feb 2013 09:51:28 +0100

spyder (2.2.0~beta2+dfsg-1) experimental; urgency=low

  * Imported Upstream version 2.2.0~beta2+dfsg
  * Depends on python-rope (>= 0.3.0)
  * debian/patches
    - 0001-fix-documentation-installation.patch (updated)
      use the new upstream config variables for MathJax
    - 0003-allow-to-configure-jquery-and-mathjax-location.patch (deleted)
      an equivalent patch was integrated by the upstream

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 04 Feb 2013 22:08:21 +0100

spyder (2.2.0~beta1+dfsg-2) experimental; urgency=low

  * fix typo ipython-qtconsol -> ipython-qtconsole

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 20 Jan 2013 12:19:54 +0100

spyder (2.2.0~beta1+dfsg-1) experimental; urgency=low

  * Imported Upstream version 2.2.0~beta1
  * Bump Standards-Version to 3.9.4 (no changes required)
  * Repack to remove embeded jquery and mathjax.
  * debian/watch
    - fix version numbers generation thanks to Bart Martens
  * debian/control
    - add Depends: libjs-jquery, libjs-mathjax
    - add Recommends: python-psutil, ipython-qtconsole (>= 0.12)
  * debian/patches
    - 0001-fix-documentation-installation.patch (updated)
    - 0003-from-upstream-fix-1098.patch (deleted)
    - 0003-allow-to-configure-jquery-and-mathjax-location.patch (new)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 19 Jan 2013 14:39:03 +0100

spyder (2.1.10-2) unstable; urgency=low

  * debian/pacthes
    - 0003-from-upstream-fix-1098.patch (new) (Closes: #678339)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 31 Jul 2012 22:42:04 +0200

spyder (2.1.10-1) unstable; urgency=low

  * Imported Upstream version 2.1.10

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 28 May 2012 08:22:41 +0200

spyder (2.1.9-1) unstable; urgency=low

  * Imported Upstream version 2.1.9 (Closes: #663235)
  * bumped Standards-Version to 3.9.3
    - debian/copyright fixed with cme
    - debian/control fixed with cme
  * debian/patches
    - 0002-feature-forwarded-add-icon-to-desktop-file.patch (new)
      (Closes: #665761)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 01 Apr 2012 11:11:03 +0200

spyder (2.1.8-1) unstable; urgency=low

  * Imported Upstream version 2.1.8
  * prepare for backport

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 20 Feb 2012 23:02:50 +0100

spyder (2.1.7-1) unstable; urgency=low

  * Imported Upstream version 2.1.7

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 16 Jan 2012 18:03:01 +0100

spyder (2.1.6-1) unstable; urgency=low

  * Imported Upstream version 2.1.6

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 01 Jan 2012 17:53:28 +0100

spyder (2.1.4-1) unstable; urgency=low

  * Imported Upstream version 2.1.4

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 30 Nov 2011 17:59:32 +0100

spyder (2.1.3-1) unstable; urgency=low

  * Imported Upstream version 2.1.3
  * update the copyright file with the new upstream policy

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 28 Nov 2011 17:39:39 +0100

spyder (2.1.2-1) unstable; urgency=low

  * Import Upstream version 2.1.2
  * debian/spyder.bug-control
    - report also python-spyderlib (Closes: #647696)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 17 Nov 2011 21:11:14 +0100

spyder (2.1.1-1) unstable; urgency=low

  * Import Upstream version 2.1.1 (Closes: #636726)
  * use the old upstream url http://code.google.com/p/spyder/
    until the transition is done.
  * debian/control
    - fix Breaks and Replace
    - Depends: python-sphinx (>= 1.0.7+dfsg), pyflakes (>= 0.5.0),
               pep8, python-rope (>= 0.9.2)
  * debian/copyright fixed using config-edit
  * debian/rules
    - use the new dh_sphinxdoc helper
  * debian/patches
    - 0001-fix-documentation-installation.patch (updated)
           build the sphinx documentation only once.
  * debian/spyder.desktop (deleted)
    - use the one provided by the upstream

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 31 Oct 2011 12:43:34 +0200

spyder (2.0.12-1) unstable; urgency=low

  * Imported Upstream version 2.0.12
  * update my email now that I am DD.
  * new upstream url http://code.google.com/p/spyder/
  * debian/control :
    - split spyder into spyder and python-spyderlib
    - add the Vcs-* fields.
  * debian/spyder.desktop :
    - add for the menu entries
  * debian/copyright :
    - switch to dep5 format

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 13 Jun 2011 12:17:14 +0200

spyder (2.0.11-1) unstable; urgency=low

  * Imported Upstream version 2.0.11
  * Updated standards to 3.9.2 (no changes required)
  * switch from python-support to dh_python2 helper
  * drop python2.5 and add python2.7

 -- Picca Frédéric-Emmanuel <picca@synchrotron-soleil.fr>  Fri, 29 Apr 2011 21:19:10 +0200

spyder (2.0.10-1) unstable; urgency=low

  * Imported Upstream version 2.0.10

 -- Picca Frédéric-Emmanuel <picca@synchrotron-soleil.fr>  Mon, 11 Apr 2011 12:46:23 +0200

spyder (2.0.8-1) unstable; urgency=low

  * Imported Upstream version 2.0.8 (Closes: #609789)
  * add a watch file
  * build for all python2 versions (it can be use as module by other packages)
  * change the documentation section to Programming/Python
  * use the Recommendes found in the documentation.

 -- Picca Frédéric-Emmanuel <picca@synchrotron-soleil.fr>  Sat, 05 Mar 2011 18:03:43 +0100

spyder (1.1.8-2) unstable; urgency=low

  * Updated standards to 3.9.1 (no changes required)
  * Build with debhelper in v8 mode
  * Removed python-qscintilla2 from Build-Depends as it is only a runtime
    dependency

 -- Alexandre Fayolle <afayolle@debian.org>  Mon, 08 Nov 2010 15:00:50 +0100

spyder (1.1.8-1) unstable; urgency=low

  * New upstream release (Closes: #588473).

 -- Ludovic Aubry <laubrycomm@free.fr>  Wed, 03 Nov 2010 12:19:45 +0100

spyder (1.1.2-1) unstable; urgency=low

  * New upstream release

 -- Ludovic Aubry <laubrycomm@free.fr>  Thu, 01 Jul 2010 20:47:37 +0200

spyder (1.1.1-1) unstable; urgency=low

  * New upstream release
  * New maintainer address (Closes: #586833)
  * Build with python 2.6 (Closes: #586824)

 -- Ludovic Aubry <laubrycomm@free.fr>  Mon, 28 Jun 2010 23:43:02 +0200

spyder (1.0.3-1) unstable; urgency=low

  * Initial release (Closes: #553400)
  * use debian versions for pyflakes and jquery

 -- Ludovic Aubry <ludovic.aubry@logilab.fr>  Thu, 25 Mar 2010 17:30:45 +0100
